add_library(
	NostalgiaCore-GBA OBJECT
		context.cpp
		gfx.cpp
		panic.cpp
)
target_include_directories(
	NostalgiaCore-GBA PUBLIC
		../../include
)
target_link_libraries(
	NostalgiaCore-GBA PUBLIC
		TeaGBA
		Keel
		Turbine
)

if(TURBINE_BUILD_TYPE STREQUAL "GBA")
	set_source_files_properties(gfx.cpp PROPERTIES COMPILE_FLAGS -marm)
	target_link_libraries(NostalgiaCore PUBLIC NostalgiaCore-GBA)
endif()
